# 
# Copyright (C) 2006 OpenWrt.org
#
# This is free software, licensed under the GNU General Public License v2.
# See /LICENSE for more information.
#
define kernel_template
ifeq ($(CONFIG_LINUX_$(3)),y)
KERNEL:=$(1)
BOARD:=$(2)
MODELNAME:=$(3)
endif
endef

$(eval $(call kernel_template,2.4,brcm,2_4_BRCM))
$(eval $(call kernel_template,2.4,ar7,2_4_AR7))
$(eval $(call kernel_template,2.6,brcm,2_6_BRCM))
$(eval $(call kernel_template,2.6,brcm63xx,2_6_BRCM63XX))
$(eval $(call kernel_template,2.6,rb532,2_6_RB532))
$(eval $(call kernel_template,2.6,rdc,2_6_RDC))
$(eval $(call kernel_template,2.6,x86,2_6_X86))
$(eval $(call kernel_template,2.6,uml,2_6_UML))
$(eval $(call kernel_template,2.4,ar531x,2_4_AR531X))
$(eval $(call kernel_template,2.6,ar91xx,2_6_AR91XX))
$(eval $(call kernel_template,2.6,ewnr2008,2_6_EWNR2008))
$(eval $(call kernel_template,2.6,aruba,2_6_ARUBA))
$(eval $(call kernel_template,2.6,au1000,2_6_AU1000))
$(eval $(call kernel_template,2.6,xscale,2_6_XSCALE))
$(eval $(call kernel_template,2.6,magicbox,2_6_MAGICBOX))
$(eval $(call kernel_template,2.6,sibyte,2_6_SIBYTE))
$(eval $(call kernel_template,2.6,dx-k34vwg2-r,2_6_DX-K34VWG2-R))
$(eval $(call kernel_template,2.6,wnr2000,2_6_WNR2000))
$(eval $(call kernel_template,2.4,brcm47xx,2_4_BRCM47XX))
$(eval $(call kernel_template,2.4,ar23xx,2_4_AR23XX))
$(eval $(call kernel_template,2.4,rtl8196b,2_4_RTL8196B))

export BOARD
export KERNEL
export MODELNAME

