/*
 * milli_httpd - pretty small HTTP server
 *
 * Copyright 2004, Broadcom Corporation
 * All Rights Reserved.
 * 
 * THIS SOFTWARE IS OFFERED "AS IS", AND BROADCOM GRANTS NO WARRANTIES OF ANY
 * KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. BROADCOM
 * SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
 *
 * $Id: httpd.h,v 1.1 2007/04/22 05:13:25 lucas Exp $
 */

#ifndef _httpd_h_
#define _httpd_h_

#if defined(DEBUG) && defined(DMALLOC)
#include <dmalloc.h>
#endif

/* Basic authorization userid and passwd limit */
#define AUTH_MAX 64

#define webs_t	request*
#define websWrite(req, fmt, args...) (so_printf(req, fmt, ## args)); 
#define nvram_safe_get(name)	(nvram_get(name) ? : "")
typedef char char_t;

extern int ejArgs(int argc, char **argv, char *fmt, ...);

struct ej_handler {
	char *pattern;
	int (*output)(int eid, webs_t wp, int argc, char **argv);
};
extern struct ej_handler ej_handlers[];


#endif /* _httpd_h_ */
