config_lan() #$1: lan ip, $2:lan netmask, $3:lan dhcp mode, $4:dhcp ip start, $5:dhcp ip end,  $6:network_flag $7:ip_flag $8:network $9:dmz_ip ${10{:bs_trustedip $13:network2_flag, if lan ip is not changed, and subnet is changed.
{
	endis_wl_radio=$($nvram get endis_wl_radio)
	wds_endis_fun=$($nvram get wds_endis_fun)
	wds_repeater_basic=$($nvram get wds_repeater_basic)
    if [ $wds_endis_fun -eq 0 -o $wds_repeater_basic -eq 1 ]; then	
         $nvram set old_lan_ipaddr=$($nvram get lan_ipaddr)
    fi
	if [ $endis_wl_radio -eq 1 -a $wds_endis_fun -eq 1 -a $wds_repeater_basic -eq 0 ];then
		$nvram set repeater_ip=$1
	else
		$nvram set lan_ipaddr=$1
	fi
	$nvram set old_lan_netmask=$($nvram get lan_netmask)
	$nvram set lan_netmask=$2
	if [ "$3" = "1" ];then
		$nvram set lan_dhcp=1
		$nvram set dhcp_start=$4
		$nvram set dhcp_end=$5
		$nvram set lan_proto="dhcp"
	else
		$nvram set lan_dhcp=0
		$nvram set lan_proto=""
	fi
	if [ "$6" = "1" ];then
		ip=`$nvram get lan_ipaddr | sed 's/\([0-9]*.[0-9]*.[0-9]*\).*/\1/'`

		# for port forward web setting change
	        for file in `nvram show | grep ^forwarding | cut -d "=" -f1`
        	do
			new_info=`nvram get $file | sed "s/[0-9]*\.[0-9]*\.[0-9]*/$ip/"`
        	     	$nvram set $file="$new_info"
	        done
		# for port forward iptables setting change
		for file in `nvram show | grep ^forward_port | cut -d "=" -f1`
	        do
		      new_info=`nvram get $file | sed "s/[0-9]*\.[0-9]*\.[0-9]*/$ip/"`
                      $nvram set $file="$new_info"
	        done
	        # for port triggering web setting change
	        for file in ` nvram show | grep ^triggering | cut -d "=" -f1`
	        do
        	        new_info=`nvram get $file | sed "s/[0-9]*\.[0-9]*\.[0-9]*/$ip/"`
                	$nvram set $file="$new_info"
	        done
		# for port triggering iptables setting change
	        for file in ` nvram show | grep ^autofw_port | cut -d "=" -f1`
	        do
              	  	new_info=`nvram get $file | sed "s/[0-9]*\.[0-9]*\.[0-9]*/$ip/"`
	                $nvram set $file="$new_info"
        	done
	        for file in `nvram show | grep ^reservation | cut -d "=" -f1`
        	do
                	new_info=`nvram get $file | sed "s/[0-9]*\.[0-9]*\.[0-9]*/$ip/"`
	                $nvram set $file="$new_info"
        	done
	        for file in `nvram show | grep ^block_services | cut -d "=" -f1`
        	do
                	new_info=`nvram get $file | sed "s/[0-9]*\.[0-9]*\.[0-9]*/$ip/"`
                	new_info=`echo $new_info | sed "s/-[0-9]*\.[0-9]*\.[0-9]*/-$ip/"`
	                $nvram set $file="$new_info"
        	done

		#sp=0;
		index=1;
		old_ip=`$nvram get old_lan_ipaddr | sed 's/\([0-9]*.[0-9]*.[0-9]*\).*/\1/'`
		for file in `nvram show | grep ^static_router | cut -d "=" -f1`
		do
			new_info=`nvram get $file | awk '{print$6}' | sed 's/\([0-9]*.[0-9]*.[0-9]*\).*/\1/'`
			if [ "$old_ip" = "$new_info" -a "$ip" != "$new_info" ]; then
				#new_static_route_index[$sp]=`nvram show | grep $(echo $file) | sed 's/static_router//' | cut -d "=" -f1`
				$nvram unset $file
				#let "sp += 1"
			else
				nvram set static_router$index="`nvram get $file`"
				if [ "static_router$index" != "$file" ]; then
					nvram unset $file
				fi
				#let "index += 1"
				index=$(($index+1))
			fi
		done

		$nvram set dmz_ipaddr="$9"
		$nvram set block_trustedip="${10}"
	elif [ "$7" = "1" ];then
		ip=`$nvram get lan_ipaddr | sed 's/\([0-9]*.[0-9]*.[0-9]*\).*/\1/'`
	        for file in `nvram show | grep ^reservation | cut -d "=" -f1`
        	do
                	new_info=`nvram get $file | sed "s/[0-9]*\.[0-9]*\.[0-9]*/$ip/"`
	                $nvram set $file="$new_info"
        	done
	fi
	if [ "x${11}" = "x" ];then
		$nvram set rip_ver=0
        	$nvram set rip_dir=0
	else
		$nvram set rip_ver=${11}
		$nvram set rip_dir=${12}
	fi
	if [ "${14}" = "1" ];then
		#rm -f /tmp/configs/forwarding*
		#rm -f /tmp/configs/triggering*
		#rm -f /tmp/configs/reservation*
		#rm -f /tmp/configs/block_services*

		reservation_set=$($nvram show | grep ^reservation | awk -F= '{print $1}'); for tmp in `echo $reservation_set`;do $nvram unset $tmp; done
		triggering_set=$($nvram show | grep ^triggering | awk -F= '{print $1}'); for tmp in `echo $triggering_set`;do $nvram unset $tmp; done
		autofw_port_set=$($nvram show | grep ^autofw_port | awk -F= '{print $1}'); for tmp in `echo $autofw_port_set`;do $nvram unset $tmp; done
		forwarding_set=$($nvram show | grep ^forward | awk -F= '{print $1}'); for tmp in `echo $forwarding_set`;do 	$nvram unset $tmp; done
		$nvram set port_forwarding_num=0
		$nvram set port_trigger_num=0
		$nvram unset wan_endis_dmz; $nvram unset dmz_ipaddr
		$nvram unset block_trustedip 
		$nvram set block_endis_Trusted_IP=0 
		blocking_set=$($nvram show | grep ^block_services | awk -F= '{print $1}'); for tmp in `echo $blocking_set`;do $nvram unset $tmp; done
		/etc/rc.d/blk_svc.sh stop
		$nvram set action=3
	fi
	$nvram set netbiosname="${13}"
	$nvram set forfirewall="lan_setup"
}
