config_qos_list_add ()
{
	add_num=`$nvram get qos_rule_count`
	add_num=$(($add_num+1))
	$nvram set qos_list$add_num="$1 $2 $3 $4 $5 $6 $7 $8 $9"
	$nvram set qos_rule_count=$add_num
}

config_qos_editnum()
{
	$nvram set qoslist_editnum=$1
}

config_qos_list_edit()
{
	edit_num=$($nvram get qoslist_editnum)
	$nvram set qos_list$edit_num="$1 $2 $3 $4 $5 $6 $7 $8 $9"
}

config_qos_list_del()
{
	if [ "$1" != "0" ]; then
	
	
	$nvram unset qos_list$1
    total_num=`$nvram get qos_rule_count`   
	num=$1
	
	while [ "$num" -lt "$total_num" ]
	do
		next=`$nvram get qos_list$(($num+1))`
		$nvram set qos_list$num="$next"
		num=$(($num+1))
	done
	$nvram unset qos_list$total_num
	nvram set qos_rule_count=$(($total_num-1))
	
	
	fi
}

config_qosmac_add ()
{
	add_num=`$nvram get qos_mac_count`
	add_num=$(($add_num+1))
	echo "$add_num , $1 $2 $3 $4"
	$nvram set qos_mac_list$add_num="$1 $2 $3 $4"
	$nvram set qos_mac_count=$add_num
}

config_qosmac_edit ()
{
	
	qos_mac_num=`$nvram get qos_mac_count`
	edit_num="$5" 
	attach_num="$6"
	
	if [ "$edit_num" -lt "$attach_num" ]; then  
	      qos_mac_num=$(($qos_mac_num+1))
	      #echo "$nvram set qos_mac_list$qos_mac_num" > /dev/console
	      $nvram set qos_mac_list$qos_mac_num="$1 $2 $3 $4"
	      $nvram set qos_mac_count=$qos_mac_num
	else
	      set_num=$(($(($edit_num+1))-$attach_num))
	      #echo "$nvram set qos_mac_list$set_num" > /dev/console
	      $nvram set qos_mac_list$set_num="$1 $2 $3 $4"
	fi
	
	
}

config_qos_list_edit_mac ()
{
	edit_num="${10}"
	if [ "$edit_num" != "0" ]; then
	    $nvram set qos_list$edit_num="$1 $2 $3 $4 $5 $6 $7 $8 $9"
	fi    
	    
}
config_qosmac_del ()
{	
	sel_num=$1
  attach_num=$2
  del_num=$(($(($1+1))-$2))

	$nvram set qos_mac_list$del_num=" "
  
  total_num=`$nvram get qos_mac_count`   
	num=$del_num
	
	while [ "$num" -lt "$total_num" ]
	do
		next=`$nvram get qos_mac_list$(($num+1))`
		$nvram set qos_mac_list$num="$next"
		num=$(($num+1))
	done
	$nvram unset qos_mac_list$total_num
	nvram set qos_mac_count=$(($total_num-1))
	
	
}
config_qos_list_del_all()
{
	total_num=`$nvram get qos_rule_count`   
	num=1
	
	while [ "$num" -le "$total_num" ]
	do
		$nvram unset qos_list$num
		num=$(($num+1))
	done
	$nvram set qos_rule_count=0
}

config_apply_qos ()
{
	$nvram set endis_wl_wmm="$1" 
	$nvram set qos_endis_on="$2"
	$nvram set qos_threshold="$3"
	$nvram set qos_uprate="$4"
	$nvram set qos_width="$5"
	model=`cat /vendor_model_name`
	if [ "$model" != "JWNB2100-1ZGNLS" ]; then
	    $nvram set qos_enable_su="$6"
	    $nvram set qos_su_ip="$7"
	fi
	$nvram set qos_uprate_det="$8"
	$nvram set qos_bw_mode="$9"
}
