#!/bin/sh
. /www/cgi-bin/functions.sh
eval "`/www/cgi-bin/proccgi $*`"
lan_restart=0
wireless_restart=0
reboot_restart=0
wan_restart=0
bas_restart=0
upnp_restart=0
ripd_restart=0
ddns_restart=0
email_restart=0
block_restart=0
blk_svc_restart=0
blk_sites_restart=0
reservation_restart=0
changeip_restart=0
change_network_restart=0
ntp_restart=0
mulpppoe_restart=0
traffic_restart=0
traffic_reset_restart=0
connect_restart=0
qos_restart=0
qos_add_num=0
wds_restart=0
wds_wan_restart=0
wlan_adv_restart=0
porttrigger_restart=0
utelnetd_restart=0
repeater_mode=0
wds_mode=0
wds_wan_change=0
wds_re_mode=0
wps_start=0
refreshed_page=${QUERY_STRING}
language_restart=0
qos_uplink_bandwidth_restart=0
lan_port_resv_restart=0
portforwarding=0
porttriggering=0
nvram_commit=1
phy_restart=0
auto_connect=0

if [ "$($nvram get lock_web)" != "" ];then

	$nvram set lock_refreship="http://${HTTP_HOST}"
	if [ "$FORM_submit_flag" = "show_statistic" -o "$FORM_submit_flag" = "connect_status" -o "$FORM_submit_flag" = "show_traffic_reset" -o "$FORM_submit_flag" = "thank_login" ];then
		if [ "`$nvram get lock_show_refreshpage`" != "" ];then
			sleep 1 &
		else
			$nvram set lock_show_refreshpage="${refreshed_page}"
			sleep 3
		fi
		print_http_refresh "http://${HTTP_HOST}/cgi-bin/pls_wait_show.html"
	else
		if [ "`$nvram get lock_refreshpage`" != "" ];then
			sleep 1 &
		else
			$nvram set lock_refreshpage="${refreshed_page}"
			sleep 1
		fi
		print_http_refresh "http://${HTTP_HOST}/cgi-bin/pls_wait.html"
	fi
else
	$nvram set lock_web=1
	$nvram set lock_refreship="http://${HTTP_HOST}"

	case "$FORM_submit_flag" in
		lan)
		oc $dns_hijacksh stop
	  . $lansh
	  if [ "$($nvram get netbiosname)" != "$FORM_device_name" ]; then
		    wireless_restart=$(($wireless_restart+1))
		fi      
	        
		config_lan "$FORM_lan_ipaddr" "$FORM_lan_subnet" "$FORM_lan_dhcpmode" "$FORM_dhcp_start" "$FORM_dhcp_end" "$FORM_change_network_flag" "$FORM_change_ip_flag" "$FORM_network" "$FORM_dmz_ip" "$FORM_bs_trustedip" "$FORM_rip_version_select" "$FORM_rip_direction_select" "$FORM_device_name" "$FORM_change_network2_flag" 
		oc $dns_hijacksh start
	  . $st_routersh
		if [ "$FORM_change_network_flag" = "1" ]; then
			config_for_sw2
		fi
	   	lan_restart=$(($lan_restart+1))
		ripd_restart=$(($ripd_restart+1))
		if [ "$FORM_change_ip_flag" = "1" ];then
			changeip_restart=$(($changeip_restart+1))
			phy_restart=$(($phy_restart+1))
		fi
		if [ "$FORM_change_network_flag" = "1" ];then
			change_network_restart=$(($change_network_restart+1))
			phy_restart=$(($phy_restart+1))
		fi
	   	wds_endis_fun=$($nvram get wds_endis_fun)
		wds_repeater_basic=$($nvram get wds_repeater_basic)
		endis_wl_radio=$($nvram get endis_wl_radio)
		if [ $wds_endis_fun -eq 1 -a $wds_repeater_basic -eq 0 -a $endis_wl_radio -eq 1 ];then
			repeater_mode=1
		fi

		;;
	    wlan)     		
		wsc_disable_old=$($nvram get wsc_disable)
	        . $wlansh
		. $securitysh
		config_wlan "$FORM_wlan_ssid" "$FORM_wlan_coun" "$FORM_wlan_chan" "$FORM_hidden_wlan_mode"
		if [ "$FORM_hidden_sec_type" = "1" ];then
			config_secoff
		elif [ "$FORM_hidden_sec_type" = "2" ];then
				config_secwep "$FORM_sec_auth" "$FORM_sec_keylen" "$FORM_wepkeyno" "$FORM_wepkey1" "$FORM_wepkey2" "$FORM_wepkey3" "$FORM_wepkey4" "$FORM_weppassphrase"
		elif [ "$FORM_hidden_sec_type" = "3" ];then
			wl_wpa1_psk="$($nvram get wl_wpa1_psk)"
			if [ "$FORM_wpa1_press_flag" = "1" ];then	
				wl_wpa1_psk="$(echo -n $FORM_hidden_wpa_psk | sed 's/\&nbsp;/ /g')"
			fi
			config_secwpa "$FORM_hidden_sec_type" "$wl_wpa1_psk" "$FORM_sec_wpaphrase_len"
		elif [ "$FORM_hidden_sec_type" = "4" ];then
                        wl_wpa2_psk="$($nvram get wl_wpa2_psk)"
			if [ "$FORM_wpa2_press_flag" = "1" ];then
                        	wl_wpa2_psk="$(echo -n $FORM_hidden_wpa_psk | sed 's/\&nbsp;/ /g')"
			fi
			config_secwpa "$FORM_hidden_sec_type" "$wl_wpa2_psk" "$FORM_sec_wpaphrase_len"
		elif [ "$FORM_hidden_sec_type" = "5" ];then
			wl_wpas_psk="$($nvram get wl_wpas_psk)"
                        if [ "$FORM_wpas_press_flag" = "1" ];then
                        	wl_wpas_psk="$(echo -n $FORM_hidden_wpa_psk | sed 's/\&nbsp;/ /g')"
			fi
			config_secwpa "$FORM_hidden_sec_type" "$wl_wpas_psk" "$FORM_sec_wpaphrase_len"
		#elif [ "$FORM_hidden_sec_type" = "6" ];then
		#	config_radius "$FORM_hidden_sec_type" "$FORM_sec_1x_auth" "$FORM_radius_ip" "$FORM_w8021x_port" "$FORM_w8021x_key"
		fi
		
		wsc_disable=$($nvram get wsc_disable)
		if [ "$wsc_disable" != "$wsc_disable_old" ]; then
		      $nvram set wsc_stat_change=1
		fi		      
		wireless_restart=$(($wireless_restart+1))
		;;
		
	        guest)
		. $guestsh
		config_guest "$FORM_ssidSelect" "$FORM_guest_name" "$FORM_enable_guest_value" "$FORM_enable_broad_value" "$FORM_allow_access_value" 
		if [ "$FORM_hidden_sec_type" = "1" ];then
			config_none "$FORM_ssidSelect"
		elif [ "$FORM_hidden_sec_type" = "2" ];then 
			config_wep  "$FORM_sec_auth" "$FORM_sec_keylen" "$FORM_wepkeyno" "$FORM_wepkey1" "$FORM_wepkey2" "$FORM_wepkey3" "$FORM_wepkey4" "$FORM_weppassphrase" "$FORM_ssidSelect"
		elif [ "$FORM_hidden_sec_type" = "3" ];then
			wl_wpa1_psk="$($nvram get wl_wpa1_psk_$FORM_ssidSelect)"
			if [ "$FORM_wpa1_press_flag" = "1" ];then
				wl_wpa1_psk="$(echo -n $FORM_hidden_wpa_psk | sed 's/\&nbsp;/ /g')"
			fi
			config_wpa "$FORM_ssidSelect" "$wl_wpa1_psk" "$FORM_sec_wpaphrase_len" "$FORM_hidden_sec_type"
		elif [ "$FORM_hidden_sec_type" = "4" ];then
			wl_wpa2_psk="$($nvram get wl_wpa2_psk_$FORM_ssidSelect)"
			if [ "$FORM_wpa2_press_flag" = "1" ];then
				wl_wpa2_psk="$(echo -n $FORM_hidden_wpa_psk | sed 's/\&nbsp;/ /g')"
			fi
			config_wpa "$FORM_ssidSelect" "$wl_wpa2_psk" "$FORM_sec_wpaphrase_len" "$FORM_hidden_sec_type"
		elif [ "$FORM_hidden_sec_type" = "5" ];then
			wl_wpas_psk="$($nvram get wl_wpas_psk_$FORM_ssidSelect)"
			if [ "$FORM_wpas_press_flag" = "1" ];then
				wl_wpas_psk="$(echo -n $FORM_hidden_wpa_psk | sed 's/\&nbsp;/ /g')"
			fi
			config_wpa "$FORM_ssidSelect" "$wl_wpas_psk" "$FORM_sec_wpaphrase_len" "$FORM_hidden_sec_type"
		fi
		
		wireless_restart=$(($wireless_restart+1))
		;;
	    passwd)
	        . $passwdsh
		oldpassword=$($nvram get password1)	
		if [ "x$oldpassword" = "x$FORM_szPasswd0" ];then
			config_currect_passwd "$FORM_szPasswd1" "$FORM_passwd_length"
		else
			config_error_passwd "$oldpassword"	
				refreshed_page="/cgi-bin/check_passwd.html"
		fi
		;;
	    upgrade)
	    	. $upgradesh
		config_upgrade 
		reboot_restart=$(($reboot_restart+1))
		;;
	    wlan_adv)
	        . $wlan_advsh
		config_wladv "$FORM_szRts_11g" "$FORM_szFrag_11g" "$FORM_enable_router" "$FORM_enable_ssid_broadcast" "$FORM_preamble_11g" "$FORM_endis_pin" "$FORM_endis_wsc_config"
		$nvram set wds_change_ip="$FORM_wds_change_ip"
	        auto_lock=`cat /tmp/wscd_lock_stat`
                if [ "$auto_lock" = "1" -a "$FORM_endis_pin" = "0" ]; then
                     echo "wps unlock by web" > /dev/console
                     wscd -sig_unlock
    
                fi
		wireless_restart=$(($wireless_restart+1))
		wlan_adv_restart=$(($wlan_adv_restart+1))
		;; 
	    wan)
	        . $wansh
		#old_dod_value=$($nvram get wan_endis_dod)
		basic_type=$($nvram get internet_type)
		ppp_login_type=$($nvram get internet_ppp_type)
		org_sipalg=$($nvram get wan_endis_sipalg)
		if [ $basic_type -eq 0 ];then
        		if [ $ppp_login_type -eq 0 ];then
                		wan_mtu=$($nvram get wan_pppoe_mtu)
        		elif [ $ppp_login_type -eq 1 ];then
                		wan_mtu=$($nvram get wan_pptp_mtu)
        		elif [ $ppp_login_type -eq 3 ];then
                		wan_mtu=$($nvram get wan_mulppp_mtu)
        		else
                		wan_mtu=$($nvram get wan_dhcp_mtu)
        		fi
		else
        		wan_mtu=$($nvram get wan_dhcp_mtu)
		fi
		#if [ "$old_dod_value" != "$FORM_dod_value" -o "$wan_mtu" != "$FORM_wan_mtu1" ];then
		if [ "$wan_mtu" != "$FORM_wan_mtu1" ];then
			wan_restart=$(($wan_restart+1))
		fi
		if [ "$FORM_ipv6_passthru_value" = "1" ];then
			echo 1 > /proc/custom_Passthru
		else
			echo 0 > /proc/custom_Passthru
		fi
		[ $($nvram get wan_endis_dmz) = "1" ] && oc $del_conntracksh dmz
		oc /etc/rc.d/dmz.sh stop
		oc /etc/rc.d/spi_dos.sh stop
	        oc /etc/rc.d/nat_type.sh stop
		oc /etc/rc.d/sip_alg.sh stop
		oc /etc/rc.d/igmpproxy.sh stop
		#config_wan "$FORM_spi_value" "$FORM_dmz_value" "$FORM_dmz_ip" "$FORM_rspToPing_value" "$FORM_nat_fitering" "$FORM_wan_mtu1" "$FORM_dod_value" "$FORM_sipalg_value"
		config_wan "$FORM_spi_value" "$FORM_dmz_value" "$FORM_dmz_ip" "$FORM_rspToPing_value" "$FORM_nat_fitering" "$FORM_wan_mtu1" "$FORM_sipalg_value" "$FORM_ipv6_passthru_value" "$FORM_igmp_enable"

		if [ $wan_restart -eq 0 ]; then
			 oc /etc/rc.d/nat_type.sh start
			 oc /etc/rc.d/wan_ping.sh
			 oc /etc/rc.d/dmz.sh start
			 oc /etc/rc.d/spi_dos.sh start
			 oc /etc/rc.d/sip_alg.sh start
			 oc /etc/rc.d/igmpproxy.sh start
		fi

		;;
	    block_sites)
	        . $block_sitessh
	  	oc $blk_sitesh stop
		config_block_sites "$FORM_skeyword" "$FORM_Trusted_IP_Enable" "$FORM_Text" "$FORM_cfTrusted_IPAddress" 
		blk_sites_restart=$(($blk_sites_restart+1))
		;;
	    ddns)
	        . $ddnssh
		config_ddns "$FORM_ddns_enabled" "$FORM_sysDNSHost" "$FORM_sysDNSUser" "$FORM_sysDNSPassword" "$FORM_wildcards_enabled" "$FORM_sysDNSProviderlist" "$FORM_change_wan_type"
		ddns_restart=$(($ddns_restart+1))
		;;
	    upnp)
	        . $upnpsh
		config_upnp "$FORM_upnp_onoff" "$FORM_hidden_advertime" "$FORM_TimeToLive"
		upnp_restart=$(($upnp_restart+1))
		lan_port_resv_restart=$(($lan_port_resv_restart+1))
		;;
	    st_router_add)
	        . $st_routersh
		config_router_add "$FORM_totalnum" "$FORM_route_title" "$FORM_route_pr" "$FORM_route_ac" "$FORM_route_dest" "$FORM_SRouteSubnetMask" "$FORM_SRouteGatewayAddr" "$FORM_route_metric" "$FORM_count"
		config_for_sw2
		ripd_restart=$(($ripd_restart+1))
		;;
	    st_router_del)
	        . $st_routersh
		config_router_del "$FORM_select_del"
		config_for_sw2
		ripd_restart=$(($ripd_restart+1))
		;;
	    st_router_editnum)
	        . $st_routersh
		config_router_eidtnum "$FORM_select_edit"
		nvram_commit=0
		;;
	    st_router_edit)
	        . $st_routersh
		config_router_edit "$FORM_select_editnum" "$FORM_route_title" "$FORM_route_pr" "$FORM_route_ac" "$FORM_route_dest" "$FORM_SRouteSubnetMask" "$FORM_SRouteGatewayAddr" "$FORM_route_metric" "$FORM_count"
		config_for_sw2
		ripd_restart=$(($ripd_restart+1))
		;;
	    remote)
	        . $remotesh
		if [ $FORM_http_rmenable -eq 1 ]; then
			/sbin/ctscan -p "TCP" -i "$FORM_http_rmport" -m "$FORM_http_rmport" -h "all"
			[ `echo $?` -eq "1" ] && refreshed_page="/cgi-bin/remote_fail.html"
		fi
				
		oc /etc/rc.d/remote.sh stop
		config_remote $FORM_http_rmenable $FORM_rm_access "$FORM_local_ip" $FORM_http_rmport 
		utelnetd_restart=$(($utelnetd_restart+1))
		lan_port_resv_restart=$(($lan_port_resv_restart+1))
		oc /etc/rc.d/remote.sh start
		;;
	    ether)
	        . $bas_ethersh
		config_ether "$FORM_ac_name" "$FORM_do_name" "$FORM_WANAssign" "$FORM_ether_ipaddr" "$FORM_ether_subnet" "$FORM_ether_gateway" "$FORM_DNSAssign" "$FORM_ether_dnsaddr1" "$FORM_ether_dnsaddr2" "$FORM_MACAssign" "$FORM_this_mac" "$FORM_conflict_wanlan" "$FORM_change_wan_type" "$FORM_run_test"
		wan_restart=$(($wan_restart+1))
		bas_restart=$(($bas_restart+1))
		if [ "$FORM_conflict_wanlan" = "1" ];then
			changeip_restart=$(($changeip_restart+1))
		fi
		if [ "$FORM_is_easy_setup" = "1" ];then
			nvram_commit=0
		fi
		;;
	    pppoe)
	        . $bas_pppoesh
		config_pppoe "$FORM_pppoe_username" "$FORM_pppoe_password" "$FORM_pppoe_servicename" "$FORM_hidden_pppoe_idle_time" "$FORM_WANAssign" "$FORM_pppoe_ipaddr" "$FORM_DNSAssign" "$FORM_pppoe_dnsaddr1" "$FORM_pppoe_dnsaddr2" "$FORM_conflict_wanlan" "$FORM_change_wan_type" "$FORM_run_test" "$FORM_pppoe_demand" "$FORM_MACAssign" "$FORM_this_mac" "$FORM_pppoe_netmask"
		wan_restart=$(($wan_restart+1))
		bas_restart=$(($bas_restart+1))
		if [ "$FORM_conflict_wanlan" = "1" ];then
			changeip_restart=$(($changeip_restart+1))
		fi
		if [ "$FORM_is_easy_setup" = "1" ];then
			nvram set demandex=1
			nvram_commit=0
		fi
		;;
	    pptp)
	        . $bas_pptpsh
		config_pptp "$FORM_pptp_username" "$FORM_pptp_password"	"$FORM_hidden_pptp_idle_time" "$FORM_pptp_myip" "$FORM_pptp_servip" "$FORM_pptp_connection_id" "$FORM_DNSAssign" "$FORM_pptp_dnsaddr1" "$FORM_pptp_dnsaddr2" "$FORM_MACAssign" "$FORM_this_mac"	"$FORM_WANAssign" "$FORM_change_wan_type" "$FORM_run_test" "$FORM_pptp_demand" "$FORM_pptp_gwip" "$FORM_STATIC_DNS" "$FORM_pptp_mynetmask"
		wan_restart=$(($wan_restart+1))
		bas_restart=$(($bas_restart+1))
		if [ "$FORM_conflict_wanlan" = "1" ];then
			changeip_restart=$(($changeip_restart+1))
		fi
		if [ "$FORM_is_easy_setup" = "1" ];then
			nvram set demandex=1
			nvram_commit=0
		fi
		;;
		  l2tp)
	        . $bas_l2tpsh
		config_l2tp "$FORM_l2tp_username" "$FORM_l2tp_password"	"$FORM_hidden_l2tp_idle_time" "$FORM_l2tp_myip" "$FORM_l2tp_servip" "1" "$FORM_DNSAssign" "$FORM_l2tp_dnsaddr1" "$FORM_l2tp_dnsaddr2" "$FORM_MACAssign" "$FORM_this_mac"	"$FORM_WANAssign" "$FORM_change_wan_type" "$FORM_run_test" "$FORM_l2tp_demand" "$FORM_l2tp_gwip" "$FORM_STATIC_DNS" "$FORM_l2tp_mynetmask"
		wan_restart=$(($wan_restart+1))
		bas_restart=$(($bas_restart+1))
		if [ "$FORM_conflict_wanlan" = "1" ];then
			changeip_restart=$(($changeip_restart+1))
		fi
		if [ "$FORM_is_easy_setup" = "1" ];then
			nvram set demandex=1
			nvram_commit=0
		fi
		;;
	    bpa)
	        . $bas_bpash
		config_bpa "$FORM_bpa_username" "$FORM_bpa_password" "$FORM_hidden_bpa_idle_time" "$FORM_bpa_servicename" "$FORM_DNSAssign" "$FORM_bpa_dnsaddr1" "$FORM_bpa_dnsaddr2" "$FORM_MACAssign" "$FORM_this_mac" "$FORM_change_wan_type" "$FORM_run_test" "$FORM_bpa_demand"
		wan_restart=$(($wan_restart+1))
		bas_restart=$(($bas_restart+1))
		;;
	    email)
	        . $emailsh
			. $ntpsh
			orig_ntpadjust=$($nvram get ntpadjust)
			orig_ntpselect=$($nvram get ntp_hidden_select)
		config_email "$FORM_email_notify_enabled" "$FORM_email_addr" "$FORM_email_smtp" "$FORM_email_username" "$FORM_email_password" "$FORM_email_from_assign" "$FORM_email_this_addr" "$FORM_send_alert_immediately"  "$FORM_cfAlert_Select" "$FORM_cfAlert_Day" "$FORM_schedule_hour" "$FORM_email_endis_auth" 
		email_restart=$(($email_restart+1))
        config_ntp "1" "$FORM_hidden_ntpserver" "$FORM_ntpserver1" "$FORM_ntpserver2" "$FORM_ntpadjust" "$FORM_hidden_select"
        if [ "$orig_ntpadjust" != "$FORM_ntpadjust" -o "$orig_ntpselect" != "$FORM_hidden_select" ]; then
            ntp_restart=$(($ntp_restart+1))
				fi
		;;
	    wlacl_add)
	        . $wlaclsh
		config_wlacl_add "$FORM_devicename" "$FORM_this_mac"
		#wireless_restart=$(($wireless_restart+1))
		;;
	    wlacl_editnum)
	        . $wlaclsh
		config_wlacl_editnum $FORM_select_edit
		#wireless_restart=$(($wireless_restart+1))
		;;
	    wlacl_edit)
	        . $wlaclsh
		config_wlacl_edit "$FORM_devicename" "$FORM_this_mac"
		#wireless_restart=$(($wireless_restart+1))
		;;
	    wlacl_del)
	        . $wlaclsh
		config_wlacl_del "$FORM_select_del"
		wireless_restart=$(($wireless_restart+1))
		;;
	    wlacl_apply)
	        . $wlaclsh
		config_wlacl_apply "$FORM_wl_access_ctrl_on"
		wireless_restart=$(($wireless_restart+1))
		;;	
	    block_services_add)
	        . $block_servicessh
		oc $blk_svcsh stop
		config_block_services_add "$FORM_service_type" "$FORM_hidden_protocol" "$FORM_hidden_portstart" "$FORM_hidden_portend" "$FORM_user_type" "$FORM_iptype" "$FORM_iplist"
		blk_svc_restart=$(($blk_svc_restart+1))
		;;
	    block_services_editnum)
	        . $block_servicessh
		config_block_services_editnum "$FORM_select_edit"
		nvram_commit=0
		;;
	    block_services_edit)
	        . $block_servicessh
		oc $blk_svcsh stop
		config_block_services_edit "$FORM_service_type" "$FORM_hidden_protocol" "$FORM_hidden_portstart" "$FORM_hidden_portend" "$FORM_user_type" "$FORM_iptype" "$FORM_iplist"
		blk_svc_restart=$(($blk_svc_restart+1))
		;;
	    block_services_del)
	        . $block_servicessh
		oc $blk_svcsh stop
		config_block_services_del "$FORM_select_del"
		blk_svc_restart=$(($blk_svc_restart+1))
		;;
	    block_services_apply)
	        . $block_servicessh
		oc $blk_svcsh stop
		config_block_services_apply "$FORM_skeyword"
		blk_svc_restart=$(($blk_svc_restart+1))
		;;
	    forwarding_add)
	        . $forwardingsh
		/sbin/ctscan -p "$FORM_protocol" -i "$FORM_portstart" -m "$FORM_portend" -h "$FORM_service_ip"
		[ `echo $?` -eq "1" ] && refreshed_page="/cgi-bin/port_fail.html"
		num="`$nvram get port_forwarding_num`"
		portforwarding_num=$(($num+1)) #compliance with Netmeeting,it's next number not last number.
		config_forwarding_add "$FORM_portname" "$FORM_protocol" "$FORM_portstart" "$FORM_portend" "$FORM_service_ip" "$FORM_serflag"
		lan_port_resv_restart=$(($lan_port_resv_restart+1))
		portforwarding=1
		;;
	    forwarding_editnum)
	        . $forwardingsh
		config_forwarding_editnum "$FORM_select_edit"
		nvram_commit=0
		;;
	    forwarding_edit)
	        . $forwardingsh
		/sbin/ctscan -p "$FORM_protocol" -i "$FORM_portstart" -m "$FORM_portend" -h "$FORM_service_ip"
		[ `echo $?` -eq "1" ] && refreshed_page="/cgi-bin/port_fail.html"
		portforwarding_num="$($nvram get portforward_editnum)"
		oc $forward_portsh delete_one $portforwarding_num
		oc $del_conntracksh forwarding $portforwarding_num
		config_forwarding_edit "$FORM_portname" "$FORM_protocol" "$FORM_portstart" "$FORM_portend" "$FORM_service_ip" "$FORM_serflag"
		lan_port_resv_restart=$(($lan_port_resv_restart+1))
		portforwarding=1
		;;
	    forwarding_del)
	        . $forwardingsh
		oc $forward_portsh delete_one "$FORM_select_del"
		oc $del_conntracksh forwarding "$FORM_select_del"
		config_forwarding_del "$FORM_select_del"
		lan_port_resv_restart=$(($lan_port_resv_restart+1))
		;;
	    forwarding_hidden_add)
	        . $forwardingsh
		/sbin/ctscan -p "$FORM_hidden_protocol" -i "$FORM_hidden_portstart" -m "$FORM_hidden_portend" -h "$FORM_service_ip"
		[ `echo $?` -eq "1" ] && refreshed_page="/cgi-bin/port_fail.html"
		num="`$nvram get port_forwarding_num`"
		portforwarding_num=$(($num+1))
		config_forwarding_add "$FORM_hidden_service_name" "$FORM_hidden_protocol" "$FORM_hidden_portstart" "$FORM_hidden_portend" "$FORM_service_ip" "$FORM_serflag"
		lan_port_resv_restart=$(($lan_port_resv_restart+1))
		portforwarding=1
		;;
	    triggering_add)
	        . $triggeringsh
		/sbin/ctscan -p "$FORM_in_port_type" -i "$FORM_portstart" -m "$FORM_portend" -h "$FORM_service_ip"
		[ `echo $?` -eq "1" ] && refreshed_page="/cgi-bin/port_fail.html"
		num="`nvram get port_trigger_num`"
		porttriggering_num=$(($num+1))
		config_triggering_add "$FORM_pt_name" "$FORM_src_ip_type" "$FORM_service_ip" "$FORM_protocol" "$FORM_trigger_port" "$FORM_in_port_type" "$FORM_portstart" "$FORM_portend"
		lan_port_resv_restart=$(($lan_port_resv_restart+1))
		porttriggering=1
		;;
	    triggering_editnum)
	        . $triggeringsh
		config_triggering_editnum "$FORM_select_edit"
		nvram_commit=0
		;;
	    triggering_edit)
	        . $triggeringsh
		/sbin/ctscan -p "$FORM_in_port_type" -i "$FORM_portstart" -m "$FORM_portend" -h "$FORM_service_ip"
		[ `echo $?` -eq "1" ] && refreshed_page="/cgi-bin/port_fail.html"
		porttriggering_num=$($nvram get porttrigger_editnum)
		oc $autofwsh delete_one $porttriggering_num
		oc $del_conntracksh triggering $porttriggering_num
		config_triggering_edit "$FORM_pt_name" "$FORM_src_ip_type" "$FORM_service_ip" "$FORM_protocol" "$FORM_trigger_port" "$FORM_in_port_type" "$FORM_portstart" "$FORM_portend" "$FORM_endis_trigger"
		lan_port_resv_restart=$(($lan_port_resv_restart+1))
		porttriggering=1
		;;
	    triggering_del)
	        . $triggeringsh
		oc $autofwsh delete_one "$FORM_select_del"
		oc $del_conntracksh triggering "$FORM_select_del"
		config_triggering_del "$FORM_select_del"
		lan_port_resv_restart=$(($lan_port_resv_restart+1))
		;;
	    triggering_apply)
	        . $triggeringsh
		total_num=`$nvram get port_trigger_num`
		PT_disable=`$nvram get disable_port_trigger`
		PT_timeout=`$nvram get porttrigger_timeout`
		if [ $total_num -eq 1 ]; then
			entry=`$nvram get triggering1 | awk '{print $9}'`
			PT_array=$entry
		else
			num=1
			entry=`$nvram get triggering"$num" | awk '{print $9}'`
			while [ "$entry" != "" ];
			do
				PT_array="$PT_array""$entry",
				num=$(($num+1))
				entry=`$nvram get triggering"$num" | awk '{print $9}'`
			done
		fi
		
		if [ $PT_disable != $FORM_disable_trigger_on ] || [ $PT_timeout != $FORM_fwpt_timeout ] || [ $PT_array != $FORM_endis_trigger_value ]; then 
			oc $autofwsh stop
			if [ $($nvram get disable_port_trigger) = "0" -a "$FORM_disable_trigger_on" = "1" ]; then
				oc $del_conntracksh triggering all
			elif [ $PT_timeout != $FORM_fwpt_timeout ]; then
				oc $del_conntracksh triggering all
			else
				oc $del_conntracksh triggering apply $PT_array $FORM_endis_trigger_value
			fi
			config_triggering_apply "$FORM_disable_trigger_on" "$FORM_fwpt_timeout" "$FORM_endis_trigger_value"
			[ "$FORM_disable_trigger_on" = "0" ] && porttrigger_restart=$(($porttrigger_restart+1))
		fi

		;;
	    rip)
	        . $ripsh
		config_rip "$FORM_rip_version_select" "$FORM_rip_direction_select"
		ripd_restart=$(($ripd_restart+1))
		;;
	    schedule)
	        . $schedulesh
		config_schedule "$FORM_days_to_block" "$FORM_start_block_time" "$FORM_end_block_time" "$FORM_all_day"
		block_restart=$(($block_restart+1))
		;;
	    reservation_add)
		. $reservationsh
		config_reservation_add "$FORM_reservation_ipaddr" "$FORM_this_mac" "$FORM_device"
		reservation_restart=$(($reservation_restart+1))
		;;
	    reservation_editnum)
	        . $reservationsh
		config_reservation_editnum "$FORM_select_edit"
		;;
	    reservation_edit)
	        . $reservationsh
		config_reservation_edit "$FORM_reservation_ipaddr" "$FORM_this_mac" "$FORM_device"
		reservation_restart=$(($reservation_restart+1))
		;;
	    reservation_del)
	       . $reservationsh
		config_reservation_del "$FORM_select_del"
		reservation_restart=$(($reservation_restart+1))
		;;
	    mulpppoe_add)
	        . $mulpppoesh
	        config_mulpppoe_add "$FORM_hidden_pppoe2_policy" "$FORM_hidden_userdefined" "$FORM_hidden_ip_start" "$FORM_hidden_ip_end" "$FORM_hidden_portstart" "$FORM_hidden_portend" "$FORM_hidden_protocol_value"
	        mulpppoe_restart=$(($mulpppoe_restart+1))
	        ;;
		mulpppoe_addnum)
	        . $mulpppoesh
	        config_mulpppoe_addnum "$FORM_pppoe2_policy"
	        mulpppoe_restart=$(($mulpppoe_restart+1))
	        ;;	
	    mulpppoe_editnum)
	        . $mulpppoesh
	        config_mulpppoe_editnum "$FORM_select_edit"
	        ;;
	    mulpppoe_edit)
	        . $mulpppoesh
	        config_mulpppoe_edit "$FORM_hidden_pppoe2_policy" "$FORM_hidden_userdefined" "$FORM_hidden_ip_start" "$FORM_hidden_ip_end" "$FORM_hidden_portstart" "$FORM_hidden_portend" "$FORM_hidden_protocol_value"
	        mulpppoe_restart=$(($mulpppoe_restart+1))
	        ;;
	    mulpppoe_del)
	       . $mulpppoesh
	        config_mulpppoe_del "$FORM_select_del"
	        mulpppoe_restart=$(($mulpppoe_restart+1))
	        ;;
	    mulpppoe_apply)
	       . $mulpppoesh
	        config_mulpppoe_apply "$FORM_pppoe_username" "$FORM_pppoe_password" "$FORM_pppoe_servicename" "$FORM_pppoe_idle_time" "$FORM_WANAssign" "$FORM_pppoe_ipaddr" "$FORM_DNSAssign" "$FORM_pppoe_dnsaddr1" "$FORM_pppoe_dnsaddr2" "$FORM_pppoe2_session" "$FORM_pppoe2_policy" "$FORM_pppoe2_username" "$FORM_pppoe2_password" "$FORM_pppoe2_servicename" "$FORM_conflict_wanlan" "$FORM_change_wan_type" "$FORM_run_test"
		wan_restart=$(($wan_restart+1))
		bas_restart=$(($bas_restart+1))
		if [ "$FORM_conflict_wanlan" = "1" ];then
			changeip_restart=$(($changeip_restart+1))
		fi
	        ;; 
		welcome)
			oc $dns_hijacksh stop
			. $welcomesh 
			config_welcome "$FORM_basic_type" "$FORM_ppp_login_type" "$FORM_country" "$FORM_ssid" "$FORM_channel" "$FORM_security_mode" "$FORM_wpa1_shared_key" "$FORM_wpa2_shared_key" "$FORM_wpa1wpa2_shared_key" "$FORM_sec_wpaphrase_len" "$FORM_wep_key1" "$FORM_wep_encryption" "$FORM_dns_hijack" "$FORM_wan_ip" "$FORM_wan_mask" "$FORM_wan_gtw" "$FORM_wan_assign" "$FORM_static_dns1" "$FORM_static_dns2" "$FORM_sys_name" "$FORM_domain_name" "$FORM_pppoe_username" "$FORM_pppoe_password" "$FORM_pppoe_servicename" "$FORM_pppoe_idle_time" "$FORM_pppoe_wan_assign" "$FORM_pppoe_wan_ip" "$FORM_l2tp_username" "$FORM_l2tp_password" "$FORM_l2tp_idle_time" "$FORM_l2tp_local_ipaddr" "$FORM_l2tp_server_ipaddr" "1" "$FORM_l2tp_wan_assign" "$FORM_bpa_username" "$FORM_bpa_password" "$FORM_bpa_servicename" "$FORM_bpa_idle_time" "$FORM_wireless_mode"
			oc $dns_hijacksh start
			wireless_restart=$(($wireless_restart+1))
			;;
		advace_nohijack)
			oc $dns_hijacksh stop
			. $welcomesh
			config_welcome_adva_nohijack
			oc $dns_hijacksh start
			wireless_restart=$(($wireless_restart+1))
			;;
		wizard_dhcp)
			. $wizardsh
			config_wizard_dhcp "$FORM_ac_name" "$FORM_do_name" "$FORM_run_test"
			wan_restart=$(($wan_restart+1))
			;;
		wizard_pppoe)	
			. $wizardsh
			config_wizard_pppoe "$FORM_pppoe_username" "$FORM_pppoe_password" "$FORM_pppoe_servicename" "$FORM_pppoe_idle_time" "$FORM_run_test" "$FORM_WANAssign" "$FORM_pppoe_ipaddr" "$FORM_DNSAssign" "$FORM_pppoe_dnsaddr1" "$FORM_pppoe_dnsaddr2" "$FORM_pppoe_netmask"
			wan_restart=$(($wan_restart+1))
			nvram set demandex=1 
			;;
		wizard_static)
			. $wizardsh 
			config_wizard_static "$FORM_ether_ipaddr" "$FORM_ether_subnet" "$FORM_ether_gateway" "$FORM_ether_dnsaddr1" "$FORM_ether_dnsaddr2" "$FORM_run_test"
			wan_restart=$(($wan_restart+1))
			;;
		wizard_bpa)
			. $wizardsh 
			config_wizard_bpa "$FORM_bpa_username" "$FORM_bpa_password" "$FORM_bpa_idle_time" "$FORM_bpa_servicename" "$FORM_run_test"
			wan_restart=$(($wan_restart+1))
			;;	
		wizard_pptp)
			. $wizardsh 
			config_wizard_pptp "$FORM_pptp_username" "$FORM_pptp_password" "$FORM_pptp_idle_time" "$FORM_pptp_myip" "$FORM_pptp_servip" "$FORM_pptp_connection_id" "$FORM_WANAssign" "$FORM_run_test" "$FORM_pptp_gwip" "$FORM_pptp_mynetmask"
			wan_restart=$(($wan_restart+1))
			nvram set demandex=1 
			;;	
		thank_login)
			. $wizardsh
			config_thank_login "$FORM_firstTime"
			;;
		auto_upgrade_check)
			. $wizardsh
			config_auto_check "$FORM_auto_check_for_upgrade"
			;;
		ntp)
			. $ntpsh 
			config_ntp "$FORM_endis_ntp" "$FORM_hidden_ntpserver" "$FORM_ntpserver1" "$FORM_ntpserver2" "$FORM_ntpadjust" "$FORM_hidden_select"
			ntp_restart=$(($ntp_restart+1))
			;;
		connect_status)
			connect_restart=$(($connect_restart+1))
			;;
		traffic_apply)
			. $trafficsh
			config_traffic_apply "$FORM_endis_traffic" "$FORM_ctrl_volumn_time" "$FORM_restart_counter_time" "$FORM_traffic_restart_day" "$FORM_left_time_volumn" "$FORM_traffic_led" "$FORM_traffic_block_all" "$FORM_limit" "$FORM_mon_volumn_limit" "$FORM_round_up" "$FORM_mon_time_limit"	
			traffic_restart=$(($traffic_restart+1))
			;;
		traffic_reset)
			traffic_reset_restart=$(($traffic_reset_restart+1))
			;;
		show_traffic_reset)
			. $trafficsh
			config_show_traffic_reset "$FORM_timeset"
			;;
		add_qos_adva)
			. $qossh
			config_qos_list_add "$FORM_name" "$FORM_category" "$FORM_apps" "$FORM_priority" "$FORM_hidden_port_type" "$FORM_hidden_portstart" "$FORM_hidden_portend" "----" "----"
			qos_restart=2
			qos_add_num="$($nvram get qos_rule_count)"
			;;
		qos_editnum)
			. $qossh
			config_qos_editnum "$FORM_select_edit"
			;;
		qos_del)
			. $qossh
			#/etc/rc.d/TC.sh "delete_one" "$FORM_select_del"
			config_qos_list_del "$FORM_select_del"
			qos_restart=2
			;;
		qos_del_all)
			. $qossh
			/etc/rc.d/TC.sh del_all
			config_qos_list_del_all
			#qos_restart=$(($qos_restart+1))
			;;
		edit_qos_adva)
			. $qossh
			#qos_add_num=$($nvram get qoslist_editnum)
			#/etc/rc.d/TC.sh "delete_one" "$qos_add_num"
			config_qos_list_edit "$FORM_name" "0" "$FORM_apps" "$FORM_priority" "$FORM_hidden_port_type" "$FORM_hidden_portstart" "$FORM_hidden_portend" "----" "----"
			qos_restart=2
			;;
		add_qos_online)
			. $qossh
			config_qos_list_add "$FORM_hidden_qos_policy_name" "$FORM_category" "$FORM_apps" "$FORM_priority" "$FORM_hidden_port_type" "$FORM_hidden_portstart" "$FORM_hidden_portend" "----" "----"
			qos_restart=2
			qos_add_num="$($nvram get qos_rule_count)"
			;;
		edit_qos_online)
			. $qossh
			#qos_add_num=$($nvram get qoslist_editnum)
			#/etc/rc.d/TC.sh "delete_one" "$qos_add_num"
			config_qos_list_edit "$FORM_hidden_qos_policy_name" "1" "$FORM_apps" "$FORM_priority" "$FORM_hidden_port_type" "$FORM_hidden_portstart" "$FORM_hidden_portend" "----" "----"
			qos_restart=2
			;;
		add_qos_ether)
			. $qossh
			config_qos_list_add "$FORM_hidden_qos_policy_name" "$FORM_category" "$FORM_apps" "$FORM_priority" "----" "----" "----" "----" "----"
			qos_restart=$(($qos_restart+1))
			qos_add_num="$($nvram get qos_rule_count)"
			;;	
		edit_qos_ether)
			. $qossh
			qos_add_num=$($nvram get qoslist_editnum)
			/etc/rc.d/TC.sh "delete_one" "$qos_add_num"
			config_qos_list_edit "$FORM_hidden_qos_policy_name" "2" "$FORM_apps" "$FORM_priority" "----" "----" "----" "----" "----"
			qos_restart=$(($qos_restart+1))
			;;	
		qos_addmac)
			. $qossh
			config_qosmac_add "$FORM_name" "$FORM_priority" "$FORM_dev_name" "$FORM_the_mac"
			qos_restart=$(($qos_restart+1))
			;;
		qos_editmac)
			. $qossh
      qos_add_num=$FORM_select_qoslist_num
			/etc/rc.d/TC.sh "delete_one" "$qos_add_num"
			config_qosmac_edit "$FORM_name" "$FORM_priority" "$FORM_dev_name" "$FORM_the_mac" "$FORM_select_editnum_mac" "$FORM_hidden_att_num"
			config_qos_list_edit_mac "$FORM_name" "3" "----" "$FORM_priority" "----" "----" "----" "$FORM_dev_name" "$FORM_the_mac" "$FORM_select_qoslist_num"
			qos_restart=$(($qos_restart+1))
			;;
		qos_delmac)
			. $qossh
			config_qosmac_del "$FORM_select_editnum_mac" "FORM_hidden_att_num"
			if [ "$FORM_select_qoslist_num" -gt "0" ]; then
			    /etc/rc.d/TC.sh "delete_one" "$FORM_select_qoslist_num"
			    config_qos_list_del "$FORM_select_qoslist_num"

			fi
			;;
		add_qos_mac)
			. $qossh
			config_qos_list_add "$FORM_name" "3" "----" "$FORM_priority" "----" "----" "----" "$FORM_dev_name" "$FORM_the_mac"
			#config_qosmac_add "$FORM_name" "$FORM_priority" "$FORM_dev_name" "$FORM_the_mac" 
			qos_restart=$(($qos_restart+1))
			qos_add_num="$($nvram get qos_rule_count)"
			config_qosmac_edit "$FORM_name" "$FORM_priority" "$FORM_dev_name" "$FORM_the_mac" "$FORM_select_editnum_mac" "$FORM_hidden_att_num"
			;;
		edit_qos_mac)
			. $qossh
      qos_add_num=$FORM_select_qoslist_num
			/etc/rc.d/TC.sh "delete_one" "$qos_add_num"
			config_qosmac_edit "$FORM_name" "$FORM_priority" "$FORM_dev_name" "$FORM_the_mac" "$FORM_select_editnum_mac" "$FORM_hidden_att_num"
			config_qos_list_edit_mac "$FORM_name" "3" "----" "$FORM_priority" "----" "----" "----" "$FORM_dev_name" "$FORM_the_mac" "$FORM_select_qoslist_num"
			qos_restart=$(($qos_restart+1))
			;;
		qos_uplink_bandwidth)
			#qos_uplink_bandwidth_restart=$(($qos_uplink_bandwidth_restart+1))
			qos_restart=$(($qos_restart+1))
			WAN_PRO=$($nvram get wan_proto)
	    if [ "$WAN_PRO" = "pppoe" -o "$WAN_PRO" = "pptp" -o "$WAN_PRO" = "l2tp" ]; then
		      mode=1
		  fi    
		  [ -f /tmp/ppp/ppp0-status ] && alive=$(cat /tmp/ppp/ppp0-status) || alive=1
  
		  if [ "$mode" = "1" ]; then
		      wan_ip=`ifconfig ppp0 | grep inet | cut -d ":" -f 2 | cut -d " " -f 1`
		  else
		      wan_ip=`ifconfig eth1 | grep inet | cut -d ":" -f 2 | cut -d " " -f 1`
		  fi 
			if [ "x$wan_ip" != "x" -a "$alive" != "0" ]; then
			  	$nvram set qos_auto_bandwidth=1
          qos_uplink_bandwidth_restart=1
			#elif [ "$mode" = "1" -a "$alive" = "0" ]; then
			#    $nvram set qos_auto_bandwidth=1
      #    qos_uplink_bandwidth_restart=2
			else	
			  	$nvram set qos_auto_bandwidth=2
			  	qos_uplink_bandwidth_restart=3

			fi	
			nvram_commit=0
			;;
		apply_qos)
			. $qossh	
			
			endis_wl_wmm=$($nvram get endis_wl_wmm)
			wl_mode=$($nvram get wl_mode)
			if [ "$endis_wl_wmm" -ne "$FORM_qos_endis_wmm" -a "wl_mode" -eq "1" ];then
				wireless_restart=$(($wireless_restart+1))		
			fi
			
			qos_enable=`nvram get qos_endis_on`
			qos_enable_su=`nvram get qos_enable_su`
			qos_su_ip=`nvram get qos_su_ip`
			if [ "$(nvram get qos_uprate)" != "$FORM_qos_hidden_uprate" -o "$(nvram get qos_uprate_det)" != "$FORM_uprate_det" -o "$(nvram get qos_bw_mode)" != "$FORM_hidden_bw_mode" ]; then
			     if [ "$FORM_qos_endis_on" = "1" ]; then
				      qos_restart=2
			     else
              qos_restart=3
           fi

      fi			
      model=`cat /vendor_model_name`
      if [ "$model" != "JWNB2100-1ZGNLS" ]; then
          if [ "$qos_enable_su" != "$FORM_qos_su_enable" -o "$qos_su_ip" != "$FORM_su_IPAddress" ]; then
               if [ "$FORM_qos_endis_on" = "1" ]; then
				          qos_restart=2
			         else
                  qos_restart=3
               fi
               /etc/rc.d/TC.sh stop
          fi
      fi
			if [ "$qos_enable" != "$FORM_qos_endis_on" -o "$(nvram get qos_threshold)" != "$FORM_qos_endis_bandwidth" ]; then
			     if [ "$FORM_qos_endis_on" = "1" ]; then
				      qos_restart=2
			     else
              qos_restart=3
           fi				 
			fi
			echo "apply_qos, qos_restart=$qos_restart" > /dev/console
			config_apply_qos "$FORM_qos_endis_wmm" "$FORM_qos_endis_on" "$FORM_qos_endis_bandwidth" "$FORM_qos_hidden_uprate" "$FORM_qos_width" "$FORM_qos_su_enable" "$FORM_su_IPAddress" "$FORM_uprate_det" "$FORM_hidden_bw_mode"
			;;
		wds)
			. $wdssh
			wds_ip_conflict "$FORM_wds_endis_fun" "$FORM_wds_repeater_basic" "$FORM_repeater_ip"
			if [ -f /tmp/wds_conflict ];then
				wds_ip_conflict_flag=$(cat /tmp/wds_conflict | grep "Received" | awk '{print $2}')
			else
				wds_ip_conflict_flag=0
			fi
			if [ $FORM_wds_endis_fun -eq 1 -a $FORM_wds_repeater_basic -eq 0 -a $wds_ip_conflict_flag -eq 0 ]; then
				# repeater mode
				if [ "`$nvram get router_disable`" = "0" ]; then
					$nvram set old_lan_ipaddr=`$nvram get lan_ipaddr`
				fi
				$nvram set lan_ipaddr="$FORM_repeater_ip"
			fi
			wds_endis_fun=$($nvram get wds_endis_fun)
			wds_repeater_basic=$($nvram get wds_repeater_basic)
			if [ $wds_endis_fun -eq $FORM_wds_endis_fun ];then
				wds_mode=0		
			else
				wds_mode=1
			fi
			if [ "$wds_endis_fun" -eq "1" -a "$wds_repeater_basic" -eq "0" ];then		
			        if [ "$FORM_wds_endis_fun" -ne "1" -o "$FORM_wds_repeater_basic" -ne "0" ]; then
			               wds_wan_restart=$(($wds_wan_restart+1))
			        fi
			fi

			if [ $wds_repeater_basic -eq $FORM_wds_repeater_basic ];then
				wds_re_mode=0
			else
				wds_re_mode=1
			fi
			if [ $wds_ip_conflict_flag -eq 0 ];then
			  model=`cat /vendor_model_name`
				if [ "$model" = "JWNB2100-1ZGNLS" ]; then
				    config_wds "$FORM_wds_endis_fun" "$FORM_wds_repeater_basic" "$FORM_repeater_ip" "$FORM_wds_endis_ip_client" "$FORM_basic_station_mac" "$FORM_wds_endis_mac_client" "$FORM_repeater_mac1" "$FORM_repeater_mac2" "$FORM_repeater_mac3" "$FORM_repeater_mac4"
				else
				    config_wds "$FORM_wds_endis_fun" "$FORM_wds_repeater_basic" "$FORM_repeater_ip" "$FORM_wds_endis_ip_client" "$FORM_basic_station_mac" "0" "$FORM_repeater_mac1" "$FORM_repeater_mac2" "$FORM_repeater_mac3" "$FORM_repeater_mac4"
				
				fi
				wds_restart=$(($wds_restart+1))
				wireless_restart=$(($wireless_restart+1))
				lan_restart=$(($lan_restart+1))
				#$nvram unset reinstall
				#if [ "$wds_mode" = "1" -o "$wds_re_mode" = "1" ];then
				#	$nvram set reinstall_enet="en_vlan"
				#	if [ "$FORM_wds_repeater_basic" = "0" ];then
				#		$nvram set reinstall_enet="ds_vlan"
				#	fi
				#fi
			else
				refreshed_page="/cgi-bin/wds_conflict_ip.html"
			fi
			;;
		show_statistic)
			. $infosh
			config_show_statistic "$FORM_timeset"
			;;
		ca_hidden)
			oc $dns_hijacksh stop
			. $cahidden
			config_cahidden "$FORM_choice"
			oc $dns_hijacksh start
			refreshed_page="/cgi-bin/CA_HiddenPage.html"
			$nvram set lock_refreshpage="${refreshed_page}"
			;;
		scienario)
			. $scienariosh
			config_scienario "$FORM_scienario"
			if [ "$FORM_scienario" = "0" ];then
				sysctl -w dev.wifi0.smart_antenna_flag=0xff
			elif  [ "$FORM_scienario" = "1" ];then
				sysctl -w dev.wifi0.smart_antenna_flag=0x01
			elif  [ "$FORM_scienario" = "2" ];then
				sysctl -w dev.wifi0.smart_antenna_flag=0x02
			elif  [ "$FORM_scienario" = "3" ];then
				sysctl -w dev.wifi0.smart_antenna_flag=0x03
			elif  [ "$FORM_scienario" = "4" ];then
				sysctl -w dev.wifi0.smart_antenna_flag=0x04
			elif  [ "$FORM_scienario" = "5" ];then
				sysctl -w dev.wifi0.smart_antenna_flag=0x05
			elif  [ "$FORM_scienario" = "6" ];then
				sysctl -w dev.wifi0.smart_antenna_flag=0x06
			fi
			;;
		scienario2)
                        . $scienariosh
                        config_scienario2 "$FORM_scienario"
                        if [ "$FORM_scienario" = "0" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0xff
                        elif  [ "$FORM_scienario" = "1" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x01
                        elif  [ "$FORM_scienario" = "2" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x02
                        elif  [ "$FORM_scienario" = "3" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x03
                        elif  [ "$FORM_scienario" = "4" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x04
                        elif  [ "$FORM_scienario" = "5" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x05
                        elif  [ "$FORM_scienario" = "6" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x06
			elif  [ "$FORM_scienario" = "7" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x07
                        elif  [ "$FORM_scienario" = "8" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x08
                        elif  [ "$FORM_scienario" = "9" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x09
                        elif  [ "$FORM_scienario" = "10" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x0a
                        elif  [ "$FORM_scienario" = "11" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x0b
                        elif  [ "$FORM_scienario" = "12" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x0c
                        elif  [ "$FORM_scienario" = "13" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x0d
                        elif  [ "$FORM_scienario" = "14" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x0e
                        fi
                        ;;
   		scienario3)
			. $scienariosh
                        config_scienario3 "$FORM_scienario"
                        if [ "$FORM_scienario" = "0" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0xff
                        elif  [ "$FORM_scienario" = "1" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x01
                        elif  [ "$FORM_scienario" = "2" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x02
                        elif  [ "$FORM_scienario" = "3" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x03
                        elif  [ "$FORM_scienario" = "4" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x04
                        elif  [ "$FORM_scienario" = "5" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x05
                        elif  [ "$FORM_scienario" = "6" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x06
                        elif  [ "$FORM_scienario" = "7" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x07
                        elif  [ "$FORM_scienario" = "8" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x08
                        elif  [ "$FORM_scienario" = "9" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x09
                        elif  [ "$FORM_scienario" = "10" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x0a
                        elif  [ "$FORM_scienario" = "11" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x0b
                        elif  [ "$FORM_scienario" = "12" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x0c
                        elif  [ "$FORM_scienario" = "13" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x0d
                        elif  [ "$FORM_scienario" = "14" ];then
                                sysctl -w dev.wifi0.smart_antenna_flag=0x0e
                        elif  [ "$FORM_scienario" = "15" ];then
				sysctl -w dev.wifi0.smart_antenna_flag=0x0f
			fi
                        ;;
		dni_manual_set_ant)
			sysctl -w dev.wifi0.smart_antenna_flag=$FORM_post_ant_flag
			;;
		rayspan_manual_set_ant)
			$nvram set antenna_flag=$FORM_post_ant_flag
			sysctl -w dev.wifi0.smart_antenna_flag=$FORM_post_ant_flag
			;;
   	antenna_crl)
		echo "$FORM_hidden_enable_crl" > /proc/sys/antctl/enable_auto_switch_antenna
		if [ "$FORM_hidden_enable_crl" = 0 ];then
			echo "$FORM_antenna_fixed_group" > /proc/sys/antctl/fixed_antenna_group
		fi
		;;
	wps)
		wps_start=1
		nvram_commit=0
		;;
	wps_pin)
		wps_start=2
		nvram_commit=0
		echo "$FORM_PIN" > /tmp/wps_client_pin	
	        ;;
	stop_wps_status)
		wps_start=3
		nvram_commit=0
	        ;;
	change_language)
		. $change_languagesh
		local old_language=$($nvram get GUI_Region)
		
		#config_change "$FORM_dis_crl" "$FORM_lang_avi"	
		#config_change "$FORM_hidden_lang_avi"
		config_change "$FORM_hidden_lang_avi"
		if [ "$FORM_hidden_lang_avi" = "German" ]; then
			oc /sbin/cmd_traffic_meter restart
		else
			oc /sbin/cmd_traffic_meter stop
		fi
	    language_restart=$(($language_restart+1))
	;;
	*)
	        refreshed_page="${refreshed_page}"
		;;
	esac


    	if [ "$FORM_submit_flag" = "show_statistic" -o "$FORM_submit_flag" = "connect_status" -o "$FORM_submit_flag" = "show_traffic_reset" -o "$FORM_submit_flag" = "thank_login" ];then
		$nvram set lock_show_refreshpage="${refreshed_page}"
		#sleep 3
	else
		$nvram set lock_refreshpage="${refreshed_page}"
		#sleep 1
	fi
	ip_flag=0
        if [ "`$nvram get wds_change_ip`" != "" ];then
                ip_flag="`$nvram get wds_change_ip`"
        fi

	if [ $wan_restart -gt 0  ];then
		if [  $changeip_restart -gt 0 ]; then
	        	oc /sbin/cmdscflict.sh
			lan_get_ip=$($nvram get lan_ipaddr)
	        	print_http_refresh "http://${lan_get_ip}/cgi-bin/welcomeok.html" "25"
		elif [ $bas_restart -gt 0 ];then
			print_http_refresh "http://${HTTP_HOST}${refreshed_page}"
		else
			print_http_refresh "http://${HTTP_HOST}${refreshed_page}"
		fi
	exec >&-
        	if [ "`$nvram get run_test`" = "test" ];then
			nvram set demandex=1
			oc $cmd_wan restart manual
		else
			oc $cmd_wan restart
		fi
    	elif [ "$language_restart" -gt 0 ];then
        	if [ "$FORM_browser_or_top" = "USER" ];then
	    	    print_top_refresh "http://$HTTP_HOST/cgi-bin/top.html" "5"
		else
		    print_http_refresh "http://$HTTP_HOST/cgi-bin/center_language.html" "5"
		fi		
	exec >&-	
		oc /www/cgi-bin/fast_test_wan_status.sh
		language_change_status=$(cat /tmp/language_change_status)
		if [ $language_change_status != 0 ];then
			$nvram set GUI_Region="$old_language"
		fi
		
	elif [ "$qos_uplink_bandwidth_restart" = "1" ]; then              
    print_http_refresh_uprate "http://${HTTP_HOST}/cgi-bin/qos.html" "20"	
	elif [ "$qos_uplink_bandwidth_restart" = "3" ]; then              
    print_http_refresh_uprate "http://${HTTP_HOST}/cgi-bin/qos.html" "2"
	
		
	elif [ "$changeip_restart" = "0" -a "$wds_restart" = "0" -a "$wlan_adv_restart" = "0"  -a "$lan_restart" = "0" -a "$wireless_restart" = "0" ];then
		#print_http_refresh "http://${HTTP_HOST}${refreshed_page}" 
		#print_http_location "http://${HTTP_HOST}${refreshed_page}"
		if [ "$ntp_restart" = "1" ];then
			print_http_refresh "http://${HTTP_HOST}/cgi-bin/FW_email.html" "3"
		else
			. /www${refreshed_page}
		fi
	exec >&-
			$nvram unset lock_web
	elif [ $wds_restart -gt 0 ];then
		if [ "$FORM_wds_endis_fun" = "1" ];then
			if [ "$FORM_wds_repeater_basic" = "0" ];then
				#echo "$FORM_repeater_ip" > /tmp/lock_refreship
				$nvram set lock_refreship="$FORM_repeater_ip"
				$nvram set lock_refreshpage="/cgi-bin/welcomeok.html"
               			print_http_refresh "http://$FORM_repeater_ip/cgi-bin/welcomeok.html" "15" 
			else
				lan_get_ip=$($nvram get lan_ipaddr)
				$nvram set lock_refreship="$lan_get_ip"
				if [ $wds_re_mode -eq 0 ];then
					$nvram set lock_refreshpage="/cgi-bin/wds.html"
	               			print_http_refresh "http://${lan_get_ip}/cgi-bin/wds.html" "15"
				else
					$nvram set lock_refreshpage="/cgi-bin/welcomeok.html"
                                	print_http_refresh "http://${lan_get_ip}/cgi-bin/welcomeok.html" "15"
				fi
			fi
		elif [ $wds_mode -eq 0 ];then
			print_http_refresh "http://${HTTP_HOST}${refreshed_page}" "15"
		else
			lan_get_ip=$($nvram get lan_ipaddr)
			$nvram set lock_refreshpage="/cgi-bin/welcomeok.html"
			$nvram set lock_refreship="$lan_get_ip"
                        print_http_refresh "http://${lan_get_ip}/cgi-bin/welcomeok.html" "15"
		fi
	elif [ $changeip_restart -gt 0 -a $repeater_mode -eq 0 ];then
                lan_get_ip=$($nvram get lan_ipaddr)
		$nvram set lock_refreship="$lan_get_ip"
		$nvram set lock_refreshpage="/cgi-bin/welcomeok.html"
                print_http_refresh "http://${lan_get_ip}/cgi-bin/welcomeok.html" "40"
	elif [ $changeip_restart -gt 0 -a $repeater_mode -gt 0 ];then
		wds_restart=$(($wds_restart+1))
        	wireless_restart=$(($wireless_restart+1))
		repeater_ip=$($nvram get repeater_ip)
		print_http_refresh "http://${repeater_ip}/cgi-bin/welcomeok.html" "35"
	elif [ $lan_restart -gt 0 -a $repeater_mode -eq 0 ];then	
 		print_http_refresh "http://${HTTP_HOST}${refreshed_page}" "25"
	elif [ $wlan_adv_restart -gt 0 -a "$ip_flag" = "to_lanip" ];then
		lan_get_ip=$($nvram get lan_ipaddr)
		$nvram set lock_refreshpage="/cgi-bin/welcomeok.html"
		$nvram set lock_refreship="$lan_get_ip"
               	print_http_refresh "http://${lan_get_ip}/cgi-bin/welcomeok.html" "45"
	elif [ $wlan_adv_restart -gt 0 -a "$ip_flag" = "to_repeatip" ];then
                repeater_ip=$($nvram get repeater_ip)
		$nvram set lock_refreshpage="/cgi-bin/welcomeok.html"
		$nvram set lock_refreship="$repeater_ip"
                print_http_refresh "http://${repeater_ip}/cgi-bin/welcomeok.html" "45"

        elif [ $wireless_restart -gt 0 ]; then
		print_http_refresh "http://${HTTP_HOST}${refreshed_page}" "8"
	                  
	else
		print_http_refresh "http://${HTTP_HOST}${refreshed_page}"
        fi


      

exec >&-

	if [ $wps_start -eq 1 ];then
		echo "PBC is running......" > /dev/console
		oc wscd -sig_pbc
		
	elif [ $wps_start -eq 2 ];then
		echo "PIN is running......" > /dev/console
		wsc_pin=$(cat /tmp/wps_client_pin)
		oc iwpriv wlan0 set_mib pin=$wsc_pin
		
		
	elif [ $wps_start -eq 3 ];then
		 
		echo "WPS cancel......" > /dev/console
		echo "1" > /tmp/wscd_cancel
		
	fi	


	if [ $email_restart -gt 0 ]; then
		oc /etc/rc.d/cmdsched.sh start email
	fi

	if [ $ntp_restart -gt 0 ]; then
		oc /etc/rc.d/syslogd.sh restart
		oc /etc/rc.d/ntpclient.sh restart GUI
	fi

	if [ $lan_restart -gt 0 -a $repeater_mode -eq 0 ]; then
		if [ $change_network_restart -gt 0 ]; then
			oc $cmd_lan restart $phy_restart
			$nvram set action="3"
		else
			oc $cmd_lan restart $phy_restart
		fi
		if [ $wds_wan_restart -gt 0 ]; then
			oc $cmd_wan start                 #already stopped in cmd_lan above
		fi
	fi
	
	if [ $wireless_restart -gt 0 ]; then
		oc /etc/rc.d/wlan.sh restart
	fi
 
	if [ $connect_restart -gt 0 ];then
	        nvram_commit=0
	        
		if [ "$FORM_endis_connect" = "0" ];then
			if [ "$($nvram get wan_proto)" = "dhcp" ];then
				oc /usr/bin/killall -SIGUSR2 udhcpc
			else
				rm -f /tmp/ppp/trying
				oc $cmd_wan stop
			fi
		elif [ "$FORM_endis_connect" = "1" ];then
			/usr/sbin/ppp-nas pppoe-session1 stop 
		elif [ "$FORM_endis_connect" = "2" ];then
			/usr/sbin/ppp-nas pppoe-session2 stop
		elif [ "$FORM_endis_connect" = "3" ];then	
			if [ "$($nvram get wan_proto)" = "dhcp" ];then
				oc /usr/bin/killall -SIGUSR1 udhcpc
			else	#pptp and pppoe
				nvram set demandex=1
				oc $cmd_wan restart manual
				#ticket 121: Connectting to internet directly when Connect button is clicked.
				#/bin/sleep 23
				#/bin/ping -c 2 206.82.202.46
			fi
		elif [ "$FORM_endis_connect" = "4" ];then
			/usr/sbin/ppp-nas pppoe-session1 restart
		elif [ "$FORM_endis_connect" = "5" ];then
			/usr/sbin/ppp-nas pppoe-session2 restart
		fi
	fi

	if [ $ddns_restart -gt 0 ]; then
		oc $cmd_ddns ddns_update
	fi

	if [ "$blk_sites_restart" -gt "0" ]; then 
		ONOFF=`$nvram get block_skeyword`
		if [ "$ONOFF" -eq "2" ]; then
			oc $blk_sitesh start
			block_restart=$(($block_restart+1))
		elif [ "$ONOFF" -lt "2" ]; then
			block_restart=$(($block_restart+1))
		fi
	fi

	if [ "$blk_svc_restart" -gt "0" ]; then
		ONOFF=`$nvram get blockserv_ctrl`
		if [ "$ONOFF" -eq "2" ]; then
			oc $blk_svcsh start
			block_restart=$(($block_restart+1))
		elif [ "$ONOFF" -lt "2" ]; then
			block_restart=$(($block_restart+1))
		fi
	fi

	if [ "$block_restart" -gt "0" ]; then
		oc /etc/rc.d/cmdsched.sh start site_svc 
	fi

	if [ $portforwarding -gt 0 ]; then
		oc $forward_portsh add_one $portforwarding_num
	fi

	if [ $porttriggering -gt 0 ] && [ "`$nvram get disable_port_trigger`" -eq "0" ]; then
		oc $autofwsh add_one $porttriggering_num
	fi

	if [ $porttrigger_restart -gt 0 ] && [ "`$nvram get disable_port_trigger`" -eq "0" ]; then
		oc $autofwsh start
	fi

	if [ $traffic_restart -gt 0 ];then
		/sbin/cmd_traffic_meter config_update
	fi
	
	if [ $traffic_reset_restart -gt 0 ];then
		/sbin/cmd_traffic_meter restart_counter
	fi	
	
	[ $upnp_restart -gt 0 -a $wan_restart -eq 0 ] && oc $cmdupnp restart

	if [ "$qos_restart" -gt "0" ]; then
		
		
		#oc /www/cgi-bin/firewall.sh restart
		if [ "$qos_restart" = "2" ]; then
		     /etc/rc.d/TC.sh restart
		elif [ "$qos_restart" = "3" ]; then
		     /etc/rc.d/TC.sh stop
		elif  [ "$qos_uplink_bandwidth_restart" = "1" ]; then    
		     oc /etc/rc.d/auto_bw.sh 
		#elif [ "$qos_uplink_bandwidth_restart" = "2" ]; then
		#     oc /etc/rc.d/auto_bw.sh 2
		     
		else
		     oc /etc/rc.d/TC.sh "add_one" "$qos_add_num"
		fi
	fi
	
	if [ "$utelnetd_restart" -gt "0" ]; then
		oc /www/cgi-bin/telnet.sh restart
	fi

	if [ $ripd_restart -gt 0 -o $wan_restart -gt 0 ]; then
	    oc $ripdsh stop
	    oc /etc/rc.d/routing.sh start

	    RIP_VER=$($nvram get rip_ver)	
	    if [ "$RIP_VER" -gt "0" ]; then
		oc $ripdsh start
	    fi
	fi

	[ $reservation_restart -gt 0 -a $wan_restart -eq 0 ] && oc $cmd_dhcpd restart

	# Lan Port Reservation
	[ $lan_port_resv_restart -gt 0 ] && oc $lan_port_resvsh

	oc sleep 1
	
        $nvram unset lock_web
        
	[ "$nvram_commit" = "1" ] && oc $nvram commit

	#[ $reboot_restart -gt 0 ] && /sbin/reboot
fi
