config_ether()
{
	$nvram set internet_type="1"
	$nvram set wan_hostname=$1
	$nvram set wan_domain=$2
	$nvram set wan_ether_wan_assign=$3
	$nvram set wan_ipaddr=$4
	$nvram set wan_netmask=$5
	$nvram set wan_gateway=$6
	$nvram set wan_ether_dns_assign=$7
	$nvram set wan_ether_dns1=$8
	$nvram set wan_ether_dns2=$9	
	$nvram set dy_pptp="0"
	if [ $7 -eq 1 ]; then
		$nvram set wan_autodns=0
		$nvram set wan_dns="$8 $9"
	else
		$nvram set wan_autodns=1
	fi
	$nvram set wan_ether_mac_assign=${10}
	/sbin/sw_learn del 1  $($nvram get wan_hwaddr)
	if [ "${10}" = "2" ];then
		echo 1 > /proc/sys/net/dni/trailer
		$nvram set wan_ether_this_mac=${11}
		$nvram set wan_hwaddr=${11}
		$nvram set trailer=1
	elif [ "${10}" = "0" ];then
		$nvram set wan_hwaddr=$($nvram get wan_factory_mac)
		$nvram set trailer=0
	elif [ "${10}" = "1" ];then
		echo 1 > /proc/sys/net/dni/trailer
		$nvram set wan_hwaddr=$($nvram get auth_mac)
		$nvram set wan_remote_mac=$($nvram get auth_mac)
		$nvram set trailer=1
	fi
	if [ "`$nvram get wan_enable_ipv6_passthrough`" = "1" ];then
		rmmod ipv6pass
		if [ "${10}" = "0" ];then
			insmod ipv6pass
		else
			insmod ipv6pass mac_clone="$($nvram get wan_hwaddr)"
		fi
	fi
	$nvram set static_conflict=${12}
	if [ $3 -eq 0 ];then
		$nvram set wan_proto="dhcp"	
	else 
		$nvram set wan_proto="static"
	fi
	$nvram set change_wan_type=${13}
	$nvram set run_test="${14}"
	
	$nvram unset ez_internet_type
	$nvram unset ez_wan_ether_wan_assign
	$nvram unset ez_wan_ether_dns_assign
	$nvram unset ez_internet_ppp_type
}
