config_pppoe()
{
	$nvram set wan_proto="pppoe"
	$nvram set internet_type="0"
	$nvram set internet_ppp_type="0"
	$nvram set wan_pppoe_username=$1
	$nvram set wan_pppoe_passwd=$2
	$nvram set wan_pppoe_service=$3
	$nvram set wan_pppoe_idletime=$(($4*60))
	$nvram set wan_pppoe_wan_assign=$5
	$nvram set wan_pppoe_ip=$6
	$nvram set wan_pppoe_dns_assign=$7
	$nvram set dy_pptp="0"
	if [ $7 -eq 1 ];then
		$nvram set wan_ether_dns1=$8
		$nvram set wan_ether_dns2=$9
		$nvram set wan_dns="$8 $9"
		$nvram set wan_autodns=0
	else
		$nvram set wan_autodns=1
	fi	
	$nvram set static_conflict=${10}	
	$nvram set change_wan_type=${11}
	$nvram set run_test="${12}"
	$nvram set wan_pppoe_demand="${13}"
	if [ "${13}" = "1" ];then
		$nvram set wan_endis_dod=1
	elif [ "${13}" = "2" ];then
		$nvram set wan_endis_dod=2
	else
		$nvram set wan_endis_dod=0
	fi
	$nvram set wan_pppoe_mac_assign=${14}
	/sbin/sw_learn del 1 $($nvram get wan_hwaddr)
	if [ "${14}" = "2" ];then
		$nvram set wan_pppoe_this_mac=${15}	
		$nvram set wan_hwaddr=${15}
		$nvram set trailer=1
		echo 1 > /proc/sys/net/dni/trailer
	elif [ "${14}" = "0" ];then
		$nvram set wan_hwaddr=$($nvram get wan_factory_mac)
		$nvram set trailer=0
	elif [ "${14}" = "1" ];then
		$nvram set wan_hwaddr=$($nvram get auth_mac)
		$nvram set wan_remote_mac=$($nvram get auth_mac)
		$nvram set trailer=1
		echo 1 > /proc/sys/net/dni/trailer
	fi
	if [ "$16" = "..." ];then
		$nvram set wan_pppoe_netmask="0.0.0.0"
	else
		$nvram set wan_pppoe_netmask="$16"
	fi
	if [ "`$nvram get wan_enable_ipv6_passthrough`" = "1" ];then
		rmmod ipv6pass
		if [ "${14}" = "0" ];then
			insmod ipv6pass
		else
			insmod ipv6pass mac_clone="$($nvram get wan_hwaddr)"
		fi
	fi

	$nvram unset ez_internet_type
	$nvram unset ez_wan_ether_wan_assign
	$nvram unset ez_wan_ether_dns_assign
	$nvram unset ez_internet_ppp_type
}
