config_wizard_dhcp()
{
	$nvram set internet_type="1"
	$nvram set internet_ppp_type="0"
	$nvram set wan_ether_wan_assign="0"
	$nvram set wan_ether_dns_assign="0"
	$nvram set wan_hostname="$1"
	$nvram set wan_domain="$2"
	$nvram set wan_proto="dhcp"
	$nvram set run_test="$3"
}

config_wizard_pppoe()
{
	$nvram set wan_pppoe_demand=1
	$nvram set internet_type="0"
	$nvram set internet_ppp_type="0"
	$nvram set wan_pppoe_username="$1"
	$nvram set wan_pppoe_passwd="$2"
	$nvram set wan_pppoe_service="$3"
	$nvram set wan_pppoe_idletime=$(($4*60))
	$nvram set wan_pppoe_wan_assign="$6"
    $nvram set wan_pppoe_ip="$7"
	$nvram set wan_pppoe_dns_assign="$8"
	$nvram set wan_ether_dns1="$9"
	$nvram set wan_ether_dns2="$10"
	$nvram set wan_proto="pppoe"	
	$nvram set run_test="$5"
	if [ $8 -eq 1 ]; then
		$nvram set wan_autodns=0
		$nvram set wan_dns="$9 $10"
	else
		$nvram set wan_autodns=1
	fi
	if [ "$11" = "..." ]; then
		$nvram set wan_pppoe_netmask="0.0.0.0"
	else
		$nvram set wan_pppoe_netmask="$11"
	fi
}

config_wizard_static()
{
	$nvram set internet_type="1"
	$nvram set internet_ppp_type="0"
	$nvram set wan_ether_wan_assign="1"	
	$nvram set wan_ipaddr="$1"
	$nvram set wan_netmask="$2"
	$nvram set wan_gateway="$3"	
	$nvram set wan_ether_dns1="$4"
	$nvram set wan_ether_dns2="$5"	
	$nvram set wan_proto="static"	
	$nvram set run_test="$6"
	$nvram set wan_autodns=0
	$nvram set wan_dns="$4 $5"
	
}

config_wizard_bpa()
{
	$nvram set internet_type="0"
	$nvram set internet_ppp_type="2"
	$nvram set wan_bpa_username=$1
	$nvram set wan_bpa_password=$2
	$nvram set wan_bpa_servicename=$4	
	$nvram set wan_bpa_idle_time=$(($3*60))
	$nvram set wan_proto="bigpond"
	$nvram set run_test="$5"
}

config_wizard_pptp()
{
	$nvram set wan_pptp_demand=1
	$nvram set internet_type="0"
	$nvram set internet_ppp_type="1"
	$nvram set wan_pptp_username="$1"
	$nvram set wan_pptp_password="$2"
	$nvram set wan_pptp_idle_time=$(($3*60))
	$nvram set wan_pptp_local_ip="$4"
	$nvram set wan_pptp_server_ip="$5"
	$nvram set wan_pptp_connection_id="$6"
	$nvram set wan_pptp_wan_assign="$7"
	$nvram set wan_proto="pptp"
	$nvram set run_test="$8"
	$nvram set wan_pptp_gateway_ip="$9"
	if [ "$7" = "1" ]; then
		$nvram set dy_pptp="0"
	else
		$nvram set dy_pptp="1"
	fi
	if [ "${7}" = "1" ]; then
		if [ "x${10}" = "x" ]; then
		    ip1=`echo ${4} | awk -F"." '{print $1}'`
		    if [ $ip1 -lt 128 ]; then 
			$nvram set wan_pptp_netmask="255.0.0.0"
		    elif [ $ip1 -lt 192 ]; then
			$nvram set wan_pptp_netmask="255.255.0.0"
		    elif [ $ip1 -lt 223 ]; then
			$nvram set wan_pptp_netmask="255.255.255.0"
		    fi
		else
		    $nvram set wan_pptp_netmask="${10}"
		fi

	fi
}

config_thank_login()
{
	$nvram set thank_login="$1"
}

config_auto_check()
{
	$nvram set auto_check_for_upgrade="$1"
}
